# Game: Lavafloor Main

team modify players friendlyFire true

execute as @a at @s unless block ~ ~ ~ lava run effect give @s resistance 1 255 true
execute as @a at @s if block ~ ~ ~ lava run effect clear @s resistance

execute if score lavaCount gameData matches 0..150 as @e[type=area_effect_cloud,tag=lava,limit=3,sort=random] at @s unless block ~ ~ ~ lava run function game:lavafloor_trigger
execute if score lavaCount gameData matches 151.. as @e[type=area_effect_cloud,tag=lava,limit=1,sort=random] at @s unless block ~ ~ ~ lava run function game:lavafloor_trigger

tag @a[scores={death=0},limit=1] add finish
execute unless entity @a[scores={death=0},tag=!finish] run tag @a[tag=finish] add winner
execute unless entity @a[scores={death=0},tag=!finish] run title @a title ["",{"selector":"@a[tag=winner]","color":"dark_green"}]
execute unless entity @a[scores={death=0},tag=!finish] run title @a subtitle [{"text":"won ","color":"gray"},{"score":{"objective":"gameData","name":"pointsRewarded"},"color":"gold"},{"text":" points","color":"gray"}]
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation @a[tag=winner] points += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation @a[tag=winner] totalPoints += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation totalPoints statistics += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players add @a[tag=winner] roundsWon 1
execute unless entity @a[scores={death=0},tag=!finish] run function other:floorreset
execute unless entity @a[scores={death=0},tag=!finish] run tellraw @a ["",{"text":"- ","color":"gold"},{"selector":"@a[tag=winner,limit=1]","color":"dark_green"},{"text":" is a true master at \"The Floor Is Lava\"!","color":"gray"}]
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players set inGame gameData 0
tag @a[tag=finish] remove finish