# Game: Minediamonds

team modify players friendlyFire true

execute if score MDTimer gameData matches 0 at @e[type=area_effect_cloud,tag=MD,tag=MDOre] run setblock ~ ~ ~ diamond_ore
execute if score MDTimer gameData matches 0 at @e[type=area_effect_cloud,tag=MD,tag=MDBlock] run setblock ~ ~ ~ diamond_block
execute if score MDTimer gameData matches 0 at @e[type=area_effect_cloud,tag=MD,tag=MDChest] run setblock ~ ~1 ~ chest{LootTable:"main:minediamonds"}
scoreboard players add MDTimer gameData 1

execute if score MDTimer gameData matches 0 run experience set @a 30 levels
execute if score MDTimer gameData matches 20 run experience set @a 29 levels
execute if score MDTimer gameData matches 40 run experience set @a 28 levels
execute if score MDTimer gameData matches 60 run experience set @a 27 levels
execute if score MDTimer gameData matches 80 run experience set @a 26 levels
execute if score MDTimer gameData matches 100 run experience set @a 25 levels
execute if score MDTimer gameData matches 120 run experience set @a 24 levels
execute if score MDTimer gameData matches 140 run experience set @a 23 levels
execute if score MDTimer gameData matches 160 run experience set @a 22 levels
execute if score MDTimer gameData matches 180 run experience set @a 21 levels
execute if score MDTimer gameData matches 200 run experience set @a 20 levels
execute if score MDTimer gameData matches 220 run experience set @a 19 levels
execute if score MDTimer gameData matches 240 run experience set @a 18 levels
execute if score MDTimer gameData matches 260 run experience set @a 17 levels
execute if score MDTimer gameData matches 280 run experience set @a 16 levels
execute if score MDTimer gameData matches 300 run experience set @a 15 levels
execute if score MDTimer gameData matches 320 run experience set @a 14 levels
execute if score MDTimer gameData matches 340 run experience set @a 13 levels
execute if score MDTimer gameData matches 360 run experience set @a 12 levels
execute if score MDTimer gameData matches 380 run experience set @a 11 levels
execute if score MDTimer gameData matches 400 run experience set @a 10 levels
execute if score MDTimer gameData matches 420 run experience set @a 9 levels
execute if score MDTimer gameData matches 440 run experience set @a 8 levels
execute if score MDTimer gameData matches 460 run experience set @a 7 levels
execute if score MDTimer gameData matches 480 run experience set @a 6 levels
execute if score MDTimer gameData matches 500 run experience set @a 5 levels
execute if score MDTimer gameData matches 520 run experience set @a 4 levels
execute if score MDTimer gameData matches 540 run experience set @a 3 levels
execute if score MDTimer gameData matches 560 run experience set @a 2 levels
execute if score MDTimer gameData matches 580 run experience set @a 1 levels
execute if score MDTimer gameData matches 600 run experience set @a 0 levels

execute as @e[type=area_effect_cloud,tag=MD,tag=MDGrass] at @s if block ~ ~ ~ air run setblock ~ ~ ~ grass_block
execute as @e[type=area_effect_cloud,tag=MD,tag=MDGrassPath] at @s if block ~ ~ ~ air run setblock ~ ~ ~ grass_path
execute as @e[type=area_effect_cloud,tag=MD,tag=MDCoarseDirt] at @s if block ~ ~ ~ air run setblock ~ ~ ~ coarse_dirt
execute as @e[type=area_effect_cloud,tag=MD,tag=MDOakLeaves] at @s if block ~ ~ ~ air run setblock ~ ~ ~ oak_leaves
execute as @e[type=area_effect_cloud,tag=MD,tag=MDBirchLeaves] at @s if block ~ ~ ~ air run setblock ~ ~ ~ birch_leaves
execute as @e[type=area_effect_cloud,tag=MD,tag=MDSpruceLeaves] at @s if block ~ ~ ~ air run setblock ~ ~ ~ spruce_leaves
execute as @e[type=area_effect_cloud,tag=MD,tag=MDStone] at @s if block ~ ~ ~ air run setblock ~ ~ ~ stone
execute as @e[type=area_effect_cloud,tag=MD,tag=MDPodzol] at @s if block ~ ~ ~ air run setblock ~ ~ ~ podzol
execute as @e[type=area_effect_cloud,tag=MD,tag=MDChest] at @s if block ~ ~1 ~ chest{Items:[]} run setblock ~ ~1 ~ air

execute as @a[scores={MDOreCount=1}] at @s run playsound minecraft.block.note_block.bell voice @s ~ ~ ~ 1 1
execute as @a[scores={MDBlockCount=1}] at @s run playsound minecraft.block.note_block.bell voice @s ~ ~ ~ 1 1
give @a[scores={MDOreCount=1}] diamond_ore{NoDrop:1b}
give @a[scores={MDBlockCount=1}] diamond_block{NoDrop:1b}
scoreboard players reset @a MDOreCount
scoreboard players reset @a MDBlockCount

execute if score MDTimer gameData matches 600 as @a store result score @s MDOreFinal run clear @s diamond_ore 0
execute if score MDTimer gameData matches 600 as @a store result score @s MDBlockFinal run clear @s diamond_block 0
execute if score MDTimer gameData matches 600 run scoreboard players set @a MDFinal 0
execute if score MDTimer gameData matches 600 as @a run scoreboard players operation @s MDFinal += @s MDOreFinal
execute if score MDTimer gameData matches 600 as @a run scoreboard players operation @s MDFinal += @s MDBlockFinal
execute if score MDTimer gameData matches 600 as @a run scoreboard players operation @s MDFinal += @s MDBlockFinal
execute if score MDTimer gameData matches 600 as @a run scoreboard players operation @s MDFinal += @s MDBlockFinal
execute if score MDTimer gameData matches 600 run scoreboard players set MDCounter MDFinal 0
execute if score MDTimer gameData matches 600 run scoreboard players operation MDCounter MDFinal > @a MDFinal
execute if score MDTimer gameData matches 600 as @a if score @s MDFinal = MDCounter MDFinal run tag @s add winner 
execute if score MDTimer gameData matches 600 run title @a title ["",{"selector":"@a[tag=winner]","color":"dark_green"}]
execute if score MDTimer gameData matches 600 run title @a subtitle [{"text":"won ","color":"gray"},{"score":{"objective":"gameData","name":"pointsRewarded"},"color":"gold"},{"text":" points","color":"gray"}]
execute if score MDTimer gameData matches 600 as @a[tag=winner] run scoreboard players operation @s points += pointsRewarded gameData
execute if score MDTimer gameData matches 600 as @a[tag=winner] run scoreboard players operation @s totalPoints += pointsRewarded gameData
execute if score MDTimer gameData matches 600 as @a[tag=winner] run scoreboard players operation totalPoints statistics += pointsRewarded gameData
execute if score MDTimer gameData matches 600 as @a[tag=winner] run scoreboard players add @s roundsWon 1
execute if score MDTimer gameData matches 600 as @a[tag=winner] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You collected the most diamonds and won! In total you collected ","color":"gray"},{"score":{"name":"@s","objective":"MDFinal"},"color":"dark_green"},{"text":" diamonds!","color":"gray"}]
execute if score MDTimer gameData matches 600 as @a[tag=!winner] run tellraw @s ["",{"text":"- ","color":"gold"},{"text":"You got outmined by ","color":"gray"},{"selector":"@a[tag=winner,limit=1,sort=random]","color":"dark_green"},{"text":". In total you collected ","color":"gray"},{"score":{"name":"@s","objective":"MDFinal"},"color":"dark_green"},{"text":" diamonds!","color":"gray"}]
execute if score MDTimer gameData matches 600 run scoreboard players set inGame gameData 0