# Particles

execute at @a[scores={particle=1},gamemode=!spectator] run particle happy_villager ~ ~0.2 ~ 0 0 0 0 1
execute at @a[scores={particle=2},gamemode=!spectator] run particle end_rod ~ ~0.2 ~ 0 0 0 0 1
execute at @a[scores={particle=3},gamemode=!spectator] run particle note ~ ~0.2 ~ 0 0 0 0.5 1 normal
execute at @a[scores={particle=4},gamemode=!spectator] run particle nautilus ~ ~0.5 ~ 0 0 0 0 5 normal
execute at @a[scores={particle=5},gamemode=!spectator] run particle witch ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=6},gamemode=!spectator] run particle heart ~ ~ ~ 0 0 0 1 0 normal
execute at @a[scores={particle=7},gamemode=!spectator] run particle flame ~ ~0.4 ~ 0 0 0 1 0 normal
execute at @a[scores={particle=8},gamemode=!spectator] run particle totem_of_undying ~ ~0.5 ~ 0 0 0 0.1 2 normal
execute at @a[scores={particle=9,color=1..5},gamemode=!spectator] run particle dust 1 0 0 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=6..10},gamemode=!spectator] run particle dust 1 0.5 0 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=11..15},gamemode=!spectator] run particle dust 1 1 0 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=16..20},gamemode=!spectator] run particle dust 0 1 0 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=21..25},gamemode=!spectator] run particle dust 0 1 1 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=26..30},gamemode=!spectator] run particle dust 0 0 1 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=31..35},gamemode=!spectator] run particle dust 0.4 0 0.8 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal
execute at @a[scores={particle=9,color=36..40},gamemode=!spectator] run particle dust 1 0 1 1.2 ~ ~0.2 ~ 0 0 0 0 3 normal

execute as @a[scores={gamesWon=1},tag=!particle1] run function other:particles/unlock1
execute as @a[scores={roundsPlayed=20},tag=!particle2] run function other:particles/unlock2
execute as @a[scores={totalPoints=150},tag=!particle3] run function other:particles/unlock3
execute as @a[scores={mobKills=30},tag=!particle4] run function other:particles/unlock4
execute as @a[scores={totalDiaOre=50},tag=!particle5] run function other:particles/unlock5
execute as @a[scores={roundsWon=7},tag=!particle6] run function other:particles/unlock6
execute as @a[scores={boomballsFired=100},tag=!particle7] run function other:particles/unlock7
execute as @a[scores={totalPotatoes=30},tag=!particle8] run function other:particles/unlock8
execute as @a[scores={shotsFired=50},tag=!particle9] run function other:particles/unlock9



# 1.1: Villager (1 game won)
# 1.2: End Rod (20 rounds played)
# 1.3: Note (gather 150 points)

# 2.1: Nautilus (kill 30 monsters)
# 2.2: Witch (mine 50 diamond ores)
# 2.3: Heart (win 7 rounds)

# 3.1: Flame (throw 100 boomballs)
# 3.2: Totem (pick up 30 potatoes)
# 3.3: Rainbow (shoot 50 arrows)