# Game: Bowcircle Main

team modify players friendlyFire true
kill @e[type=arrow,nbt={inGround:1b}]

execute as @a[nbt=!{Inventory:[{id:"minecraft:tipped_arrow"}]},nbt=!{Inventory:[{id:"minecraft:crossbow",tag:{Charged:1b}}]}] at @s if block ~ ~-3 ~ emerald_block run replaceitem entity @s inventory.0 tipped_arrow{CustomPotionEffects:[{Id:19,Duration:160}],CustomPotionColor:5638273,HideFlags:33,Enchantments:[{id:protection,lvl:1}],display:{Name:"{\"text\":\"Arrow\",\"color\":\"blue\",\"italic\":false}"},NoDrop:1b}

execute as @a[nbt={ActiveEffects:[{Id:19b}]}] run clear @s
replaceitem entity @a[nbt={ActiveEffects:[{Id:19b}]},scores={bowDeath=..4,death=0}] hotbar.0 crossbow{Enchantments:[{id:quick_charge,lvl:3}],HideFlags:1,display:{Name:"{\"text\":\"Bow\",\"color\":\"dark_purple\",\"italic\":false}"},NoDrop:1b,Unbreakable:1b}
execute as @a[nbt={ActiveEffects:[{Id:19b}]},scores={death=0}] run effect give @s instant_health 1 5 true
execute as @a[nbt={ActiveEffects:[{Id:19b}]},scores={death=0}] run scoreboard players add @s bowDeath 1
execute as @a[nbt={ActiveEffects:[{Id:19b}]},scores={death=0}] at @s run particle minecraft:explosion ~ ~ ~ 0 0 0 0 0 force
execute as @a[nbt={ActiveEffects:[{Id:19b}]},scores={death=0}] at @s run playsound minecraft:entity.generic.explode voice @a ~ ~ ~ 1 0.8
execute as @a[nbt={ActiveEffects:[{Id:19b}]},scores={bowDeath=..4,death=0}] run tp @s @e[type=area_effect_cloud,tag=bowTeleport,limit=1,sort=random]
execute as @a[nbt={ActiveEffects:[{Id:19b}]},scores={bowDeath=5..,death=0}] run tp @s 154 36 122
execute as @a[nbt={ActiveEffects:[{Id:19b}]},scores={bowDeath=5,death=0}] run tellraw @a ["",{"selector":"@s","color":"white"},{"text":" was shot","color":"white"}]
execute as @a[nbt={ActiveEffects:[{Id:19b}]},scores={bowDeath=5..,death=0}] run scoreboard players set @s death 2
execute as @a[nbt={ActiveEffects:[{Id:19b}]}] run effect clear @s poison
execute as @a[nbt={ActiveEffects:[{Id:19b}]}] run effect clear @s speed
execute as @a[nbt={ActiveEffects:[{Id:19b}]}] run effect clear @s jump_boost

effect give @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:crossbow",tag:{Charged:1b}}]}] speed 999999 1 true
effect give @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:crossbow",tag:{Charged:1b}}]}] jump_boost 999999 0 true
effect clear @a[scores={death=0},nbt={Inventory:[{id:"minecraft:crossbow",tag:{Charged:1b}}]}] speed
effect clear @a[scores={death=0},nbt={Inventory:[{id:"minecraft:crossbow",tag:{Charged:1b}}]}] jump_boost

execute as @a[scores={bowDeath=0}] run experience set @s 5 levels
execute as @a[scores={bowDeath=1}] run experience set @s 4 levels
execute as @a[scores={bowDeath=2}] run experience set @s 3 levels
execute as @a[scores={bowDeath=3}] run experience set @s 2 levels
execute as @a[scores={bowDeath=4}] run experience set @s 1 levels
execute as @a[scores={bowDeath=5}] run experience set @s 0 levels

tag @a[scores={death=0},limit=1] add finish
execute unless entity @a[scores={death=0},tag=!finish] run tag @a[scores={death=0}] add winner
execute unless entity @a[scores={death=0},tag=!finish] run title @a title [{"selector":"@a[tag=winner]","color":"dark_green"}]
execute unless entity @a[scores={death=0},tag=!finish] run title @a subtitle [{"text":"won ","color":"gray"},{"score":{"objective":"gameData","name":"pointsRewarded"},"color":"gold"},{"text":" points","color":"gray"}]
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation @a[tag=winner] points += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation @a[tag=winner] totalPoints += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation totalPoints statistics += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players add @a[tag=winner] roundsWon 1
execute unless entity @a[scores={death=0},tag=!finish] run tellraw @a ["",{"text":"- ","color":"gold"},{"selector":"@a[tag=winner,limit=1,sort=random]","color":"dark_green"},{"text":" can mark that circle as their territory!","color":"gray"}]
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players set inGame gameData 0
tag @a remove finish