# Game: Nightmare Main

kill @e[type=vex,tag=kill]
tp @e[type=vex] ~ ~-200 ~
tag @e[type=vex] add kill

execute if score zomWave gameData matches 0..9 run scoreboard players add zomTimer gameData 1
execute if score zomWave gameData matches 10 if score zomTimer gameData matches 0..3 run scoreboard players add zomTimer gameData 1

execute if score zomTimer gameData matches 200 run scoreboard players set zomTimer gameData 0
execute if score zomWave gameData matches 0..9 if score zomTimer gameData matches 0 run scoreboard players add zomWave gameData 1
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 1 run function game:nightmare_waves/wave1
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 2 run function game:nightmare_waves/wave2
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 3 run function game:nightmare_waves/wave3
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 4 run function game:nightmare_waves/wave4
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 5 run function game:nightmare_waves/wave5
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 6 run function game:nightmare_waves/wave6
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 7 run function game:nightmare_waves/wave7
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 8 run function game:nightmare_waves/wave8
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 9 run function game:nightmare_waves/wave9
execute if score zomTimer gameData matches 0 if score zomWave gameData matches 10 run function game:nightmare_waves/wave10

execute as @e[tag=zom,tag=!ready] at @s run tp @s ~ ~0.05 ~
execute as @e[tag=zom,tag=!ready] at @s if block ~ ~ ~ air run data merge entity @s {Invulnerable:0b,NoAI:0b,NoGravity:0b}
execute as @e[tag=zom,tag=!ready] at @s if block ~ ~ ~ air run tag @s add ready

execute if score zomDeathmatch gameData matches 0 run scoreboard players add zomDMTimer gameData 1
execute if score zomDeathmatch gameData matches 0 if score zomDMTimer gameData matches 2400 run title @a title {"text":"Deathmatch","color":"dark_red"}
execute if score zomDeathmatch gameData matches 0 if score zomDMTimer gameData matches 2400 run title @a subtitle {"text":"only one can survive","color":"red"}
execute if score zomDeathmatch gameData matches 0 if score zomDMTimer gameData matches 2400 as @a at @s run playsound entity.ender_dragon.growl voice @s
execute if score zomDeathmatch gameData matches 0 if score zomDMTimer gameData matches 2400 run team modify players friendlyFire true
execute if score zomDeathmatch gameData matches 0 if score zomDMTimer gameData matches 2400 run scoreboard players set zomDeathmatch gameData 1

effect give @a[scores={death=2}] saturation 999999 255 true

tag @a[scores={death=0},limit=1] add finish
execute unless entity @a[scores={death=0},tag=!finish] run tag @a[scores={death=0}] add winner
execute as @a[tag=winner] run title @a title ["",{"selector":"@s","color":"dark_green"}]
execute as @a[tag=winner] run title @a subtitle [{"text":"won ","color":"gray"},{"score":{"objective":"gameData","name":"pointsRewarded"},"color":"gold"},{"text":" points","color":"gray"}]
execute as @a[tag=winner] run scoreboard players operation @s points += pointsRewarded gameData
execute as @a[tag=winner] run scoreboard players operation @s totalPoints += pointsRewarded gameData
execute as @a[tag=winner] run scoreboard players operation totalPoints statistics += pointsRewarded gameData
execute as @a[tag=winner] run scoreboard players add @s roundsWon 1
execute as @a[tag=winner] run tellraw @a ["",{"text":"- ","color":"gold"},{"text":"Having trouble with monsters? Ask ","color":"gray"},{"selector":"@s","color":"dark_green"},{"text":"!","color":"gray"}]
execute as @a[tag=winner] run scoreboard players set inGame gameData 0

execute as @e[tag=zom] at @s if block ~ ~-1 ~ barrier run kill @s