# Main

bossbar set minecraft:main players @a
difficulty easy
team join players @a[scores={death=0}]
team join dead @a[scores={death=1..2}]

execute as @a[tag=!joinedBefore] run function main:join
execute as @a[scores={onJoin=1..}] run function main:join

execute as @e[type=item,nbt={Item:{tag:{NoDrop:1b}}}] at @s run tp @s @p
execute as @e[type=item,nbt={Item:{tag:{NoDrop:1b}}}] run data merge entity @s {PickupDelay:0}

tag @a[limit=1] add reset

execute as @a[gamemode=!spectator] at @s if block ~ ~0.1 ~ cobblestone run tp @s ~ ~1 ~

execute if score phase gameData matches 1 run function main:phase1
execute if score phase gameData matches 2 run function main:phase2
execute if score phase gameData matches 3 run function main:phase3
execute if score phase gameData matches 4 run function main:phase4
execute if score phase gameData matches 5 run function main:phase5
execute if score phase gameData matches 6 run function main:phase6
execute if score phase gameData matches 7 run function main:phase7

execute if score playing gameData matches 1 if entity @a[scores={reset=1}] unless entity @a[tag=!reset] run scoreboard players set phase gameData 7
execute if score playing gameData matches 1 as @a[scores={reset=1}] unless entity @a[tag=!reset] at @s run playsound entity.dragon.growl voice @s
execute if score playing gameData matches 1 as @a[scores={reset=1}] unless entity @a[tag=!reset] run tellraw @a ["",{"text":"- ","color":"gold","bold":true},{"text":"The game has been reset!","color":"gray"}]
execute as @a[scores={reset=1}] if entity @a[tag=!reset] run tellraw @s ["",{"text":"- ","color":"gold","bold":true},{"text":"Uhm, you're not alone anymore. I'm not going to reset the map for you now!","color":"gray"}]
execute as @a[scores={reset=1}] if entity @a[tag=!reset] at @s run playsound block.anvil.land voice @s

scoreboard players reset @a reset
scoreboard players enable @a reset
tag @a[tag=reset] remove reset

execute unless score game gameData matches 3 run function other:particles
function other:shop

execute unless score game gameData matches 9 run function other:floor
execute if score game gameData matches 9 run scoreboard players add @a color 1
execute if score game gameData matches 9 run scoreboard players set @a[scores={color=40}] color 1

execute as @a[scores={death=0}] at @s if block ~ ~-2 ~ gold_block run clear @s
execute as @a[scores={death=0}] at @s if block ~ ~-2 ~ gold_block run scoreboard players set @s death 1

function other:parkour

execute if block 124 31 136 stone_button[powered=true] run function other:floorreset
execute if block 124 31 136 stone_button[powered=true] run title @a actionbar {"text":"Floor is reset","color":"gray","bold":true}
execute if block 124 31 136 stone_button[powered=true] run setblock 124 31 136 stone_button[facing=east,powered=true]

execute if score wallToggle gameData matches 1 if score walls gameData matches 0..31 run function other:wall_on

execute as @e[type=item_frame,nbt={ItemRotation:1b}] run data merge entity @s {ItemRotation:0b}

execute unless score phase gameData matches 4..5 run function other:enderchest/main
execute if score phase gameData matches 4..5 run setblock 150 38 166 air
execute if score phase gameData matches 4..5 run setblock 150 38 166 ender_chest

effect clear @a slow_falling
execute as @a[gamemode=!spectator] at @s if entity @s[y=24,distance=..1] run effect give @s slow_falling 1 0 true
execute as @a[gamemode=!spectator] at @s if entity @s[y=24,distance=..1] run tp @s 136 31 136
execute as @a[gamemode=spectator] at @s if entity @s[y=15,distance=..1] run tp @s 136 31 136

scoreboard players add pointsRewarded gameData 1
execute if score pointsRewarded gameData matches 31 run scoreboard players set pointsRewarded gameData 10

execute unless score inGame gameData matches 1 run effect give @a[scores={food=..19}] saturation 1 0 true
execute if score inGame gameData matches 1 unless score game gameData matches 2 run effect give @a[scores={food=..19}] saturation 1 0 true

execute unless score time gameData matches 201 run effect give @a resistance 999999 255 true
execute if score phase gameData matches 4 if score time gameData matches 201 if score game gameData matches 5 run effect give @a resistance 999999 3 true
execute if score phase gameData matches 4 if score time gameData matches 201 if score game gameData matches 6..8 run effect give @a resistance 999999 255 true
execute if score phase gameData matches 4 if score time gameData matches 201 if score game gameData matches 1..4 run effect clear @a[scores={death=0}] resistance
effect give @a[scores={death=1..2}] resistance 999999 255 true