# Phase 4: Games

execute if score time gameData matches 0..200 run scoreboard players add time gameData 1

execute if score game gameData matches 2 if score time gameData matches 1..100 run time add 120

execute if score time gameData matches 100 as @a at @s run playsound minecraft:block.note_block.bell voice @s ~ ~ ~ 2 0.5
execute if score time gameData matches 100 run title @a title ["",{"text":"Starting in ","color":"gray"},{"text":"5","color":"dark_green"},{"text":"...","color":"gray"}]
execute if score time gameData matches 120 as @a at @s run playsound minecraft:block.note_block.bell voice @s ~ ~ ~ 2 0.5
execute if score time gameData matches 120 run title @a title ["",{"text":"Starting in ","color":"gray"},{"text":"4","color":"dark_green"},{"text":"...","color":"gray"}]
execute if score time gameData matches 140 as @a at @s run playsound minecraft:block.note_block.bell voice @s ~ ~ ~ 2 0.5
execute if score time gameData matches 140 run title @a title ["",{"text":"Starting in ","color":"gray"},{"text":"3","color":"dark_green"},{"text":"...","color":"gray"}]
execute if score time gameData matches 160 as @a at @s run playsound minecraft:block.note_block.bell voice @s ~ ~ ~ 2 0.5
execute if score time gameData matches 160 run title @a title ["",{"text":"Starting in ","color":"gray"},{"text":"2","color":"dark_green"},{"text":"...","color":"gray"}]
execute if score time gameData matches 180 as @a at @s run playsound minecraft:block.note_block.bell voice @s ~ ~ ~ 2 0.5
execute if score time gameData matches 180 run title @a title ["",{"text":"Starting in ","color":"gray"},{"text":"1","color":"dark_green"},{"text":"...","color":"gray"}]
execute if score time gameData matches 200 as @a at @s run playsound minecraft:block.note_block.bell voice @s ~ ~ ~ 2 1
execute if score time gameData matches 200 run title @a title {"text":"GO!","color":"gold"}

execute as @a[scores={death=1}] run clear @s
execute as @a[scores={death=1}] at @s run particle minecraft:explosion ~ ~ ~ 0 0 0 0 0 force
execute as @a[scores={death=1}] at @s run playsound minecraft:entity.generic.explode voice @a ~ ~ ~ 1 0.8
execute as @a[scores={death=1}] run scoreboard players set @s death 2

particle witch 157 36.6 128 0.3 0.3 0.3 0 3 force @a[scores={death=2}]
execute as @e[type=minecraft:armor_stand,tag=spectatorParticle,limit=1] at @s run tp @s ~ ~ ~ ~5 ~
execute at @e[type=minecraft:armor_stand,tag=spectatorParticle,limit=1] run particle end_rod ^ ^2.1 ^0.5 0 0 0 0 1 force @a[scores={death=2}]

tag @a[tag=changeAdventure] remove changeAdventure
tag @a[tag=changeSpectator] remove changeSpectator
tag @a[tag=changeGamemode] remove changeGamemode
execute as @a[scores={death=2},tag=changedGamemode] unless entity @s[x=156.6,y=36,z=127.5,dx=1,dy=0,dz=1] run tag @s remove changedGamemode
execute as @a[scores={death=2},tag=!changedGamemode,gamemode=spectator] at @s if block ~ ~ ~ air if block ~ ~-1 ~ gold_block run tag @s add changeAdventure
execute as @a[scores={death=2},tag=!changedGamemode,gamemode=adventure] at @s if block ~ ~ ~ air if block ~ ~-1 ~ gold_block run tag @s add changeSpectator
execute as @a[scores={death=2},tag=!changedGamemode] at @s if block ~ ~ ~ air if block ~ ~-1 ~ gold_block run tag @s add changeGamemode
execute as @a[scores={death=2},tag=!changedGamemode] at @s if block ~ ~ ~ air if block ~ ~-1 ~ gold_block run tag @s add changedGamemode
execute at @a[tag=changeSpectator] run playsound entity.enderman.teleport voice @a[scores={death=2}] ~ ~ ~ 2 1
execute at @a[tag=changeAdventure] run playsound entity.enderman.teleport voice @a[scores={death=2}] ~ ~ ~ 2 0
gamemode adventure @a[scores={death=2},tag=changeAdventure,tag=changeGamemode]
gamemode spectator @a[scores={death=2},tag=changeSpectator,tag=changeGamemode]
execute as @a[scores={death=2},tag=changeGamemode] at @s run tp @s ~ ~0.2 ~

execute if score time gameData matches 201 if score game gameData matches 1 run function game:boomball
execute if score time gameData matches 201 if score game gameData matches 2 run function game:nightmare
execute if score time gameData matches 201 if score game gameData matches 3 run function game:sneakysnipers
execute if score time gameData matches 201 if score game gameData matches 4 run function game:anvilattack
execute if score time gameData matches 201 if score game gameData matches 5 run function game:borderbattle
execute if score time gameData matches 201 if score game gameData matches 6 run function game:kotp
execute if score time gameData matches 201 if score game gameData matches 7 run function game:minediamonds
execute if score time gameData matches 201 if score game gameData matches 8 run function game:bowcircle
execute if score time gameData matches 201 if score game gameData matches 9 run function game:lavafloor

execute if score inGame gameData matches 0 run scoreboard players set phase gameData 5